# ************************************************************
# Sequel Pro SQL dump
# Version 4499
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 127.0.0.1 (MySQL 5.5.42)
# Database: ethicscanvas
# Generation Time: 2017-07-31 13:37:14 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table canvas
# ------------------------------------------------------------

DROP TABLE IF EXISTS `canvas`;

CREATE TABLE `canvas` (
  `canvas_id` varchar(45) NOT NULL,
  `user_id` varchar(100) NOT NULL,
  `canvas_name` varchar(100) NOT NULL,
  `canvas_date` varchar(45) NOT NULL,
  PRIMARY KEY (`canvas_id`),
  KEY `fk_canvas_1_idx` (`user_id`),
  CONSTRAINT `fk_canvas_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

LOCK TABLES `canvas` WRITE;
/*!40000 ALTER TABLE `canvas` DISABLE KEYS */;

INSERT INTO `canvas` (`canvas_id`, `user_id`, `canvas_name`, `canvas_date`)
VALUES
	('0IArBuzPj8','inglec@tcd.ie','Trinity Vincent de Paul','2016-10-01'),
	('0XQ16MwzOQ','myersjo@tcd.ie','MySecondCanvas','2017-01-05'),
	('1gaVfm7HXO','nearyh@tcd.ie','Hello Barbie','2016-10-29'),
	('2UrR4nxyut','laulu@tcd.ie','','2016-09-30'),
	('5ja7vgSCEc','ggunn@tcd.ie','','2017-02-06'),
	('8z4zaBkW5D','dave.lewis@adaptcentre.ie','Whatsapp','2016-10-16'),
	('9rqtf43AsZ','myersjo@tcd.ie','Book Face Canvas','2017-02-01'),
	('9WmWFOuug3','huntfe@tcd.ie','The title','2017-01-25'),
	('afJd9a5exC','maibrahi@tcd.ie','','2016-10-01'),
	('AifZnh2mKE','zuidemac@tcd.ie','Speaking doll','2016-10-20'),
	('bkrgDzIo6w','eganhu@tcd.ie','HappyCallerID','2016-11-25'),
	('bqx7YtfKHv','molloyp1@tcd.ie','Mountain Rescue','2016-10-01'),
	('C5lTgX36Cv','oharrace@tcd.ie','Dublin Zoo','2016-10-02'),
	('CelDYRh21B','tiernano@tcd.ie','','2016-10-30'),
	('COuvUZ4i8s','culhanp@tcd.ie','Hello Barbie','2016-10-22'),
	('dQKZFkd9H4','chalonek@tcd.ie','CS2041','2016-09-10'),
	('dXVA0XouXn','myersjo@tcd.ie','My New Website','2017-02-05'),
	('fGYtnNZzdx','molloyp1@tcd.ie','Mountain Rescue','2016-10-01'),
	('Fm8CvVoQux','oharrace@tcd.ie','Dublin Zoo','2016-10-02'),
	('g0eeO2LkDA','timclements@mac.com','First project','2017-04-22'),
	('g6yXCkCMMa','terryd@tcd.ie','','2017-02-14'),
	('h4C0vcraGc','dylanterry2@gmail.com','','2017-02-16'),
	('hall721pc8','dylanterry2@gmail.com','','2017-02-16'),
	('M1sJHSbTdD','arturo.calvo@adaptcentre.ie','Xchange Up','2017-01-19'),
	('MLkJwVC8Wa','scarmody@tcd.ie','','2016-09-27'),
	('nud2io9y6U','arturo.calvo@adaptcentre.ie','Online Ethics Canvas','2016-07-22'),
	('o8NRAfd9t9','myersjo@tcd.ie','New App Canvas','2017-02-04'),
	('Op4cMXAhv7','a.burburan@gmail.com','Test canvas','2017-06-28'),
	('PlS2zqayfe','oharrace@tcd.ie','Animal Cruelty','2016-10-01'),
	('pTTqypWPrc','dylanterry2@gmail.com','','2017-02-14'),
	('t9AZdqCFtx','mhoran@tcd.ie','AI-IRL','2016-10-28'),
	('UDAc1IwL58','eganhu@tcd.ie','HappyCallerID','2016-11-25'),
	('VCbL2uC1MI','tiernano@tcd.ie','','2016-10-21'),
	('wf67iJzBhp','paward@tcd.ie','VDP','2016-10-01'),
	('x1puWlGRZ5','414owen@mailinator.com','','2016-09-11'),
	('X2tN9HHeNA','eganhu@tcd.ie','','2016-10-25'),
	('xnaZT7fbT1','myersjo@tcd.ie','My First Canvas','2017-02-03'),
	('YIhrstYsZX','huntfe@tcd.ie','Test2','2017-02-07');

/*!40000 ALTER TABLE `canvas` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table collaborators
# ------------------------------------------------------------

DROP TABLE IF EXISTS `collaborators`;

CREATE TABLE `collaborators` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `canvas_id` varchar(45) NOT NULL DEFAULT '',
  `owner` varchar(100) NOT NULL DEFAULT '',
  `collaborator` varchar(100) NOT NULL DEFAULT '',
  `lastactive` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `owner` (`owner`),
  KEY `collaborator` (`collaborator`),
  KEY `canvas_id` (`canvas_id`),
  CONSTRAINT `collaborators_ibfk_1` FOREIGN KEY (`canvas_id`) REFERENCES `canvas` (`canvas_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

LOCK TABLES `collaborators` WRITE;
/*!40000 ALTER TABLE `collaborators` DISABLE KEYS */;

INSERT INTO `collaborators` (`id`, `canvas_id`, `owner`, `collaborator`, `lastactive`)
VALUES
	(1,'8z4zaBkW5D','dave.lewis@adaptcentre.ie','a.burburan@gmail.com','2017-07-28 14:32:15'),
	(2,'Op4cMXAhv7','a.burburan@gmail.com','a.burburan@gmail.com','2017-07-31 14:01:07'),
	(3,'Op4cMXAhv7','a.burburan@gmail.com','dylanterry2@gmail.com','2017-07-31 10:22:25'),
	(4,'Op4cMXAhv7','a.burburan@gmail.com','arturo.calvo@adaptcentre.ie','2017-07-31 10:22:25'),
	(5,'Op4cMXAhv7','a.burburan@gmail.com','dave.lewis@adaptcentre.ie','2017-07-31 10:22:25'),
	(6,'Op4cMXAhv7','a.burburan@gmail.com','myersjo@tcd.ie','2017-07-31 10:22:25');

/*!40000 ALTER TABLE `collaborators` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tags
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tags`;

CREATE TABLE `tags` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tag` varchar(100) DEFAULT NULL,
  `description` varchar(200) DEFAULT NULL,
  `canvas_id` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `canvas_id` (`canvas_id`),
  CONSTRAINT `tags_ibfk_1` FOREIGN KEY (`canvas_id`) REFERENCES `canvas` (`canvas_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;

INSERT INTO `tags` (`id`, `tag`, `description`, `canvas_id`)
VALUES
	(1,'free education','Lorem ipsum free education dolor sit amet, consectetur adipiscing elit. Habes, inquam, Cato, formam eorum, de quibus loquor, philosophorum. Hoc Hieronymus summum bonum esse dixit.','Op4cMXAhv7'),
	(2,'CRISPR','Tu autem CRISPR inter haec tantam multitudinem hominum interiectam non vides nec laetantium nec dolentium?','Op4cMXAhv7'),
	(3,'evil corporation','Quae hic evil corporation rei publicae vulnera inponebat, eadem ille sanabat.','Op4cMXAhv7'),
	(4,'dogs','Dogs go \"ruff\"!','Op4cMXAhv7'),
	(5,'capitalism','Tertium autem capitalism omnibus aut maximis rebus iis, quae secundum naturam sint, fruentem vivere. Haec bene dicuntur, nec ego repugno, sed inter sese ipsa pugnant. Rationis enim perfectio est.','M1sJHSbTdD'),
	(6,'water balloons','At modo water balloons dixeras nihil in istis rebus esse, quod interesset.','9rqtf43AsZ'),
	(7,'liquid nitrogen','Nihil opus liquid nitrogen est exemplis hoc facere longius. Suo genere perveniant ad extremum; Quodsi vultum tibi, si incessum fingeres, quo gravior viderere, non esses tui similis.','9rqtf43AsZ'),
	(8,'CCTV','Itaque earum CCTV rerum hic tenetur a sapiente delectus.','M1sJHSbTdD'),
	(9,'animal testing','Ut placet animal testing etsi enim illud erat aptius, aequum cuique concedere. Aliter enim nosmet ipsos nosse non possumus.','Op4cMXAhv7'),
	(10,'evil corporations','Sed ut evil corporations perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.','M1sJHSbTdD'),
	(11,'devil corporation','Nemo enim cool corporation ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit.','M1sJHSbTdD'),
	(12,'evil corporation','Quis nostrum evil corporation exercitationem ullam corporis suscipit laboriosam.','9rqtf43AsZ'),
	(13,'super fun time','Testing!','Op4cMXAhv7'),
	(14,'cats','Cats go \"meow\"!','Op4cMXAhv7'),
	(15,'test','This is an incredibly interesting test!','Op4cMXAhv7'),
	(16,'test 1','Profectus in exilium Tubulus statim nec respondere ausus; Nam, ut sint illa vendibiliora, haec uberiora certe sunt. Quae sequuntur igitur? Quicquid porro animo cernimus, id omne oritur a sensibus.','M1sJHSbTdD'),
	(17,'test 2','Non pugnem homine, cur tantum habeat in natura boni; Conferam tecum, quam cuique verso rem subicias; Primum in nostrane potestate est, quid meminerimus? Satisne vobis videor pro meo iure in vestris.','9rqtf43AsZ'),
	(18,'test 3','A mene tu? Vide, quaeso, rectumne sit. Idem iste, inquam, de voluptate quid sentit? Intellegi quidem, ut propter aliam quampiam rem, verbi gratia propter voluptatem.','M1sJHSbTdD'),
	(19,'test 4','Ut id aliis narrare gestiant? Quae finem ille. An hoc usque quaque, aliter in vita? Sed plane dicit quod intellegit. Quamquam haec quidem praeposita recte et reiecta dicere licebit.','M1sJHSbTdD'),
	(20,'test 5','Quod ea non occurrentia fingunt, vincunt Aristonem; Luxuriam non reprehendit, modo sit vacua infinita cupiditate et timore. Et quidem, inquit. Laboro autem non sine causa; Cave putes quicquam esse.','9rqtf43AsZ'),
	(21,'test 6','Quacumque enim ingredimur, in aliqua historia vestigium ponimus. Non potes, nisi retexueris illa. Quamquam ab iis philosophiam et omnes ingenua. Duo Reges constructio interrete. Putabam equidem satis.','9rqtf43AsZ'),
	(22,'test 7','Falli igitur possumus. Maximus dolor, inquit, brevis est. Quare ad ea primum, si videtur; Duo Reges: constructio interrete. Sed quot homines. Aliter homines, aliter philosophos loqui putas oportere.','M1sJHSbTdD'),
	(23,'test 8','Aliter enim explicari, quod quaeritur, non potest. An eum discere ea mavis, quae cum plane perdidiceriti nihil. Non minor, inquit, voluptas percipitur ex vilissimis.','9rqtf43AsZ'),
	(24,'test 9','In tantum modo ad indicia veteris memoriae cognoscenda, curiosorum. Sed tamen est aliquid, quod nobis non liceat, liceat illis. Ex ea difficultate illae fallaciloquae, ut ait accius malitiae natae.','M1sJHSbTdD'),
	(25,'civil corporation','Sed ad bona praeterita redeamus. Egone quaeris, inquit, quid sentiam? Maximas vero virtutes iacere omnis necesse est voluptate dominante.','M1sJHSbTdD');

/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table user
# ------------------------------------------------------------

DROP TABLE IF EXISTS `user`;

CREATE TABLE `user` (
  `username` varchar(45) NOT NULL,
  `password` varchar(100) NOT NULL,
  `name` varchar(45) NOT NULL,
  `salt` varchar(100) NOT NULL,
  `activated` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`username`),
  UNIQUE KEY `username_UNIQUE` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;

INSERT INTO `user` (`username`, `password`, `name`, `salt`, `activated`)
VALUES
	('414owen@mailinator.com','$2a$10$d0a427235a4bd9bf5f6b9uzjKYAamEDlD7dM0PA7H5v2yGhwzmOmC','owen','$2a$10$d0a427235a4bd9bf5f6b97',1),
	('a.burburan@gmail.com','$2a$10$cacb6f96684caa23fe654u.nON8i2ysEmdxPLysJdCxyG/QWwDS6m','Andreas Burburan','$2a$10$cacb6f96684caa23fe6549',1),
	('arturo.calvo@adaptcentre.ie','$2a$10$acbfdc52b89855383f5c3uRoI0sKQRG28WRFXeLO/tbGv5Adihc8O','Arturo Calvo','$2a$10$acbfdc52b89855383f5c39',1),
	('chalonek@tcd.ie','$2a$10$b7d0645765ac15e65bfe0OPkSVefqbDwxuSw6uPDhLVcPBI2NHRzK','Kaytlin Chaloner','$2a$10$b7d0645765ac15e65bfe0a',1),
	('conalc86@gmail.com','$2a$10$f5c4036d6c5ebed64a042uWCXeI.IaLVfQ.EpyV96Pg1lMA7gGrFW','Conal Cosgrove','$2a$10$f5c4036d6c5ebed64a0423',1),
	('culhanp@tcd.ie','$2a$10$0e90851a0c27d3e1ab7cau4PbOUQGdKaRUl8QCaKTqxNFkjORscc2','Paul Culhane','$2a$10$0e90851a0c27d3e1ab7ca0',1),
	('dave.lewis@adaptcentre.ie','$2a$10$003375ab2512f7d04b4ebuLSJSz1bgF2wS..bVfHSXi1FnL/5yCFG','Dave Lewis','$2a$10$003375ab2512f7d04b4eb8',1),
	('dave.lewis@adaptcentre.oe','$2a$10$5c27718b73bae2a6b6d67OXHibVArRw4MQ/xeUhtBAbOCmCOCnowe','Dave Lewis','$2a$10$5c27718b73bae2a6b6d67d',0),
	('dkoning@protonmail.com','$2a$10$56b29a1d9f9a9929c574beS9L.IGP94ZKc6lUwq1c1EP3S4Hk3dIq','Danny','$2a$10$56b29a1d9f9a9929c574be',1),
	('dylanterry2@gmail.com','$2a$10$eebc1492e677a22fc8dd3ugMl0pvpv9yvWimwto2F6JMDLRxZeEWS','dylan terry','$2a$10$eebc1492e677a22fc8dd36',1),
	('ebergman@tcd.ie','$2a$10$1c4abd4ae77d74084b279unA6oZd/IpfZqBbDycH3MUn1L9mGwnGu','why','$2a$10$1c4abd4ae77d74084b2790',1),
	('eganhu@tcd.ie','$2a$10$a6cb5071e8212f89fad34O7l6O5m6T6OY6e0YyULRZxOIDRa.0Wru','hugh','$2a$10$a6cb5071e8212f89fad34c',1),
	('ggunn@tcd.ie','$2a$10$e7b677eee23f7ec586ab1u8Bv5QzM6tvF33MaAjT0INaYUe23iCYO','Gary Gunn','$2a$10$e7b677eee23f7ec586ab12',1),
	('gormlemi@tcd.ie','$2a$10$7b610f04d23ed41a22142OV5bC2nP2f3jYkP2pgwG0Su4jPItWd2K','Firebird','$2a$10$7b610f04d23ed41a22142d',1),
	('huntfe@tcd.ie','$2a$10$e4c2f23336aa1dad10b5cu9siErMMzM4ZywryTsimpPHxDOMTW6wy','Fergus Hunt','$2a$10$e4c2f23336aa1dad10b5c4',1),
	('inglec@tcd.ie','$2a$10$1be08e6bec634d056b1f1O3mr8Qk7dox2gyw1wju5sMbJhjdUVjWm','inglec','$2a$10$1be08e6bec634d056b1f1b',1),
	('jake@ethicalresolve.com','$2a$10$d00aeae990d2b77558a16uSh7JsacWCKRqCEFHI4JKskUlou4qJXa','Jacob Metcalf','$2a$10$d00aeae990d2b77558a169',1),
	('jmjauregui@gmail.com','$2a$10$2c6d2e96a954bd4a2fed9udIJrq7d8x5iv4wxbkAKbOpozZAeTI32','Juan Jauregui','$2a$10$2c6d2e96a954bd4a2fed99',0),
	('john.whelan@tcd.ie','$2a$10$0e6023c8e5a2f2b28ae9euPaf5s4cjSnpXIPy/r8WXNOjtE/UkNcC','John Whelan','$2a$10$0e6023c8e5a2f2b28ae9e4',1),
	('jopadk@yahoo.dk','$2a$10$8affccd6fa151a457b936eFmA1c7a6bzdtlqudwac8BL5WSKaF8de','Jorgen','$2a$10$8affccd6fa151a457b936e',0),
	('jord@live.ie','$2a$10$0f487206c6d1883402ba9uE/NzsOFpSB9bAFfbEXRCe8N4ZeH/g76','Jordan','$2a$10$0f487206c6d1883402ba90',1),
	('jordi@live.ie','$2a$10$4183a4bbdc5a228864e1fuQ6NN9PbxJr7VIyZiG9ZonysCXEfbW7O','Jordan','$2a$10$4183a4bbdc5a228864e1f2',0),
	('khlivnia@tcd.ie','$2a$10$d6e3b0d550c2b45eec296uZbRUHjc1OYjTDhMaO2t48W8mZ6rjszK','Andrii ','$2a$10$d6e3b0d550c2b45eec2966',1),
	('laulu@tcd.ie','$2a$10$1dc0bc0896adeb1cc8448OaKS8RkJsGs0a1EDStkPNF30y/nzPdfG','Luke Lau','$2a$10$1dc0bc0896adeb1cc8448d',1),
	('maibrahi@tcd.ie','$2a$10$102e50f57c646815cab8eu7VwQDMpgZ9T43GMRwlpK2RO6995qIJq','mahamed','$2a$10$102e50f57c646815cab8e2',1),
	('mhoran@tcd.ie','$2a$10$6f181d33c893b574c68abutTz.ydmcuEeDWaDnm934rKlQRkPOzMq','Maura Horan','$2a$10$6f181d33c893b574c68ab5',1),
	('migdevegar@gmail.com','$2a$10$11612dd733fcc5869f1d3OQjpgIUWlzuUSmJubO9wLCIBMxSVjKbO','Miguel','$2a$10$11612dd733fcc5869f1d3b',1),
	('mlumley@shulmans.co.uk','$2a$10$d9fb362aa958aa5672517evLSehwVze2HfMYjkROUHrmaJ246VcA2','Mark Lumley','$2a$10$d9fb362aa958aa5672517e',1),
	('molloy1@tcd.ie','$2a$10$4be02dc5bd35409e1a49euD.e6sctes6apwpM.R52a1M08bMo3t4i','Paul Molloy','$2a$10$4be02dc5bd35409e1a49e6',0),
	('molloyp1@tcd.ie','$2a$10$0d1786e3de300020ac21furgbQHs.bW0ygTXGUSQOANrJvSGeqky2','Paul Molloy','$2a$10$0d1786e3de300020ac21f7',1),
	('myersjo@tcd.ie','$2a$10$ac09d6ada8a0dd7d4504aeXBNFkbldE2WKvktYAtrZHnuV0obbuFO','Jordan','$2a$10$ac09d6ada8a0dd7d4504af',1),
	('nearyh@tcd.ie','$2a$10$30b6dcdf6d9235e7ec342ulz1eCpK4NSQj3D49yUFr3x93dUsm5TS','Hannah Neary','$2a$10$30b6dcdf6d9235e7ec3420',1),
	('oharrace@tcd.ie','$2a$10$4d57337b99c56dc0f4157eqrRDf/LWcwN26WVuacYutJMHszCRJY6','Eoin Harrington','$2a$10$4d57337b99c56dc0f4157f',1),
	('omorainu@tcd.ie','$2a$10$647a45023662eee5cfffaODEuVKeHB.OfuyUSk2aZL67jUmvV3dvG','Ultan','$2a$10$647a45023662eee5cfffab',1),
	('paward@tcd.ie','$2a$10$6c9ab0b5db4fbae2a403du4vHfBUpjbjgzSc.zRVsIDRL3Tyj5t2W','Patrick Ward','$2a$10$6c9ab0b5db4fbae2a403d6',1),
	('scarmody@tcd.ie','$2a$10$8e23f860f90c38ba8c78aeYZX3nybblwNTqtLxIiYJM4z6eBIX4H2','Shane Carmody','$2a$10$8e23f860f90c38ba8c78af',1),
	('terryd@tcd.ie','$2a$10$55e1218be58636d14092aOxlyqvQCGz6K./HoofXr31gF9tHCjkdi','dylan terry','$2a$10$55e1218be58636d14092ab',1),
	('tiernano@tcd.ie','$2a$10$88672cd05e5ba36587c82e2hCh1P92iZWLUJQ17YFyC4Z0KhR4nZq','Oisin Tiernan','$2a$10$88672cd05e5ba36587c82f',1),
	('timclements@mac.com','$2a$10$f2b267f28fc8f15335f12esxLBu59PJmDibFTxh5Fo5iyoKKeouxu','Tim Clements','$2a$10$f2b267f28fc8f15335f12f',1),
	('wesselreijers@gmail.com','$2a$10$6aac0dbe6ad6b682a04c0uE1xCWYiDkQTghJ420haMf8PkbWtK4L.','Wessel','$2a$10$6aac0dbe6ad6b682a04c00',1),
	('zuidemac@tcd.ie','$2a$10$8153e2e0f16558ffd4d21eDhmhMy62NMg9kVd6P49gyZlP1ovU4TW','Christoph Zuidema','$2a$10$8153e2e0f16558ffd4d21f',1);

/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
